<bugID>1166039<Summary>Intermittent browser_522545.js | uncaught exception - TypeError: frameLoader.tabParent is null at chrome://global/content/bindings/remote-browser.xml:226 | Test timed out | Found a tab</Summary><Description>06:54:04 INFO - 1247 INFO TEST-PASS | browser/components/sessionstore/test/browser_522545.js | browser.currentURI set to current entry in SH
06:54:04 INFO - 1248 INFO TEST-PASS | browser/components/sessionstore/test/browser_522545.js | userTypedValue was correctly restored
06:54:04 INFO - 1249 INFO TEST-PASS | browser/components/sessionstore/test/browser_522545.js | userTypeClear restored as expected
06:54:04 INFO - 1250 INFO TEST-PASS | browser/components/sessionstore/test/browser_522545.js | Address bar's value correctly restored to userTypedValue
06:54:04 INFO - 1251 INFO running test_getBrowserState_lotsOfTabsOpening
06:54:04 INFO - 1252 INFO TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_522545.js | uncaught exception - TypeError: frameLoader.tabParent is null at chrome://global/content/bindings/remote-browser.xml:226
06:54:04 INFO - Stack trace:
06:54:04 INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:simpletestOnerror:1488
06:54:04 INFO - null:null:0
06:54:04 INFO - JavaScript error: chrome://global/content/bindings/remote-browser.xml, line 226: TypeError: frameLoader.tabParent is null
06:54:04 INFO - 1253 INFO Console message: [JavaScript Error: "[Exception... "Component returned failure code: 0xc1f30001 (NS_ERROR_NOT_INITIALIZED) [nsIMessageSender.sendAsyncMessage]" nsresult: "0xc1f30001 (NS_ERROR_NOT_INITIALIZED)" location: "JS frame :: resource://gre/modules/RemoteWebNavigation.jsm :: RemoteWebNavigation.prototype._sendMessage :: line 118" data: no]" {file: "resource://gre/modules/RemoteWebNavigation.jsm" line: 121}]
06:54:04 INFO - 1254 INFO Console message: [JavaScript Error: "TypeError: frameLoader.tabParent is null" {file: "chrome://global/content/bindings/remote-browser.xml" line: 226}]
06:54:10 INFO - 1255 INFO Console message: 1431957250611 Toolkit.GMP WARN GMPInstallManager.parseResponseXML got node name: html, expected: updates
06:54:10 INFO - 1256 INFO Console message: [JavaScript Error: "1431957250611 Toolkit.GMP ERROR GMPInstallManager.simpleCheckAndInstall Could not check for addons: {"target":{},"message":"got node name: html, expected: updates"}" {file: "resource://gre/modules/Log.jsm" line: 749}]
06:54:37 INFO - 1257 INFO Longer timeout required, waiting longer... Remaining timeouts: 1
06:55:23 INFO - TEST-INFO | screencapture: exit 0
06:55:23 INFO - 1258 INFO TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_522545.js | Test timed out - expected PASS
06:55:23 INFO - MEMORY STAT vsize after test: 4158173184
06:55:23 INFO - MEMORY STAT residentFast after test: 596832256
06:55:23 INFO - MEMORY STAT heapAllocated after test: 74275216
06:55:23 INFO - 1259 INFO TEST-OK | browser/components/sessionstore/test/browser_522545.js | took 90037ms
06:55:23 INFO - 1260 INFO TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_522545.js | Found a tab after previous test timed out: about:blank - expected PASS</Description></bugID>